# include <stdio.h>
# define MONTHS 12

/*
 * 
Κατά τη διάρκεια ενός έτους καταγράφονται τα μηνιαία έσοδα ενός υπαλλήλου σε έναν πίνακα 12 θέσεων.
*  Να γραφεί πρόγραμμα το οποίο θα διαβάζει και θα τοποθετεί στον πίνακα αυτά τα στοιχεία (υποχρεωτικά
>0) και στη συνέχεια θα υπολογίζει και θα εμφανίζει:
    1. Τα συνολικά ετήσια έσοδα του υπαλλήλου.
    2. Το μικρότερο μηνιαίο έσοδο και σε ποιο μήνα παρατηρήθηκε.
    3. Αν για κάθε μήνα φορολογείται ως εξής
        1. 0 ευρώ μέχρι αποδοχές 500 ευρώ
        2. 10% φόρο για αποδοχές άνω των 500 ευρώ, τότε πόσα χρήματα θα λάβει καθαρά; 
        * Για παράδειγμα με αποδοχές 600 ευρώ θα πληρώσει 0 + (600-500) * 0,1 = 10 ευρώ φόρο.
*/
void  readApodoxes(double x[],int n)
{
	int i;
	for(i=0;i<n;i++)
	{
		printf("Dose apodoxes gia mina %4d ?",i+1);
		scanf("%lf",&x[i]);
	}
}


/** ypologizei to synolo ton apodoxon **/
double total(double x[],int n)
{
	int i;
	double sum=0.0;
	for(i=0;i<n;i++)
	{
		sum=sum+x[i];
	}
	return sum;
}

/** Briskei ton mina me tis ligoteres apodoxes **/
int minMonth(double x[],int n)
{
	int minPos=0;
	double minValue=x[0];
	int i;
	for(i=0;i<n;i++)
	{
		if(x[i]<minValue)
		{
			minValue=x[i];
			minPos=i;
		}
	}
	return minPos;
}

/** edo ypologizo kathares apodoxes afou afaireso
 * ton foro gia kathe mina **/
double katharesApodoxes(double x[],int n)
{
	double sum = 0.0;
	int i;
	for(i=0;i<n;i++)
	{
		double v=x[i];
		if(v<=500.0) sum=sum+v;
		else
		{
		  double foros = (v-500) * 0.1;
		  v = v-foros;
		  sum = sum +v;
	}
	}
	return sum;
}

int main()
{
	double apodoxes[MONTHS];
	int min;
	double minValue;
	readApodoxes(apodoxes,MONTHS);
	printf("Synolikes apodoxes %5.2lf \n",total(apodoxes,MONTHS));
	min = minMonth(apodoxes,MONTHS);
	minValue = apodoxes[min];
	printf("Pires ta ligotera xrimata ton mina %4d kai pires %5.2lf xrimata\n",1+min,minValue);
	printf("Kathares apodoxes %5.2lf \n",katharesApodoxes(apodoxes,MONTHS));
	return 0;
}

